API Reference
Early Warning Alerts
Automated alerts for pest, disease, drought, and weather risk, by field or farm.
get
/early-warning-alerts/field/{field_id}Get active alerts for a specific field
Requires an
Authorization: Bearer header.Parameters
field_idstringpathrequiredalert_typestringqueryalert_levelstringqueryResponse 200
alertsEarlyWarningAlert[]requiredtotalintegerrequiredGET /early-warning-alerts/field/{field_id}
curl -X GET "https://api.cropsense.africa/early-warning-alerts/field/8b6e1a2f-2d4c-4e9a-9b0f-1c7d3e5a6f42?alert_type=alert_type&alert_level=alert_level" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"Example response · 200
{
"alerts": [
{
"alert_id": "6d5c4b3a-2f1e-4a9b-8c7d-6e5f4a3b2c1d",
"field_id": "8b6e1a2f-2d4c-4e9a-9b0f-1c7d3e5a6f42",
"alert_type": "heavy_rain",
"alert_level": "normal",
"alert_source": "cropsense",
"alert_reference_id": "alert_reference_id",
"alert_data": {},
"start_date": "2026-06-15T09:30:00Z",
"end_date": "2026-06-15T09:30:00Z",
"is_active": true,
"created_at": "2026-06-15T09:30:00Z",
"updated_at": "2026-06-15T09:30:00Z",
"farm_id": "3fa2c9e1-6b3a-4d2e-9c11-4a8e5f9d2b7a",
"farm_name": "farm_name",
"cropsense_farmer_id": "CS-FARMER-48213"
}
],
"total": 1
}get
/early-warning-alerts/farm/{farm_id}Get active alerts for all fields on a farm
Requires an
Authorization: Bearer header.Parameters
farm_idstringpathrequiredalert_typestringqueryalert_levelstringqueryResponse 200
alertsEarlyWarningAlert[]requiredtotalintegerrequiredGET /early-warning-alerts/farm/{farm_id}
curl -X GET "https://api.cropsense.africa/early-warning-alerts/farm/3fa2c9e1-6b3a-4d2e-9c11-4a8e5f9d2b7a?alert_type=alert_type&alert_level=alert_level" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"Example response · 200
{
"alerts": [
{
"alert_id": "6d5c4b3a-2f1e-4a9b-8c7d-6e5f4a3b2c1d",
"field_id": "8b6e1a2f-2d4c-4e9a-9b0f-1c7d3e5a6f42",
"alert_type": "heavy_rain",
"alert_level": "normal",
"alert_source": "cropsense",
"alert_reference_id": "alert_reference_id",
"alert_data": {},
"start_date": "2026-06-15T09:30:00Z",
"end_date": "2026-06-15T09:30:00Z",
"is_active": true,
"created_at": "2026-06-15T09:30:00Z",
"updated_at": "2026-06-15T09:30:00Z",
"farm_id": "3fa2c9e1-6b3a-4d2e-9c11-4a8e5f9d2b7a",
"farm_name": "farm_name",
"cropsense_farmer_id": "CS-FARMER-48213"
}
],
"total": 1
}